test: _INPUT_INFORMATION struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _INPUT_INFORMATION Struct Reference

`#include <input.h>`

List of all members.

## Public Attributes

PINPUT_RECORD | InputBuffer
DWORD | InputBufferSize
CONSOLE_SHARE_ACCESS | ShareAccess
DWORD | AllocatedBufferSize
DWORD | InputMode
ULONG | RefCount
ULONG_PTR | First
ULONG_PTR | In
ULONG_PTR | Out
ULONG_PTR | Last
LIST_ENTRY | ReadWaitQueue
HANDLE | InputWaitEvent

## Member Data Documentation

DWORD _INPUT_INFORMATION::AllocatedBufferSize

| Definition at line 29 of file input.h. Referenced by di().

ULONG_PTR _INPUT_INFORMATION::First

| Definition at line 32 of file input.h. Referenced by di().

ULONG_PTR _INPUT_INFORMATION::In

| Definition at line 33 of file input.h. Referenced by di(), FlushAllButKeys(), and FlushInputBuffer().

PINPUT_RECORD _INPUT_INFORMATION::InputBuffer

| Definition at line 26 of file input.h. Referenced by di(), FlushAllButKeys(), and FlushInputBuffer().

DWORD _INPUT_INFORMATION::InputBufferSize

| Definition at line 27 of file input.h. Referenced by di(), and FlushAllButKeys().

DWORD _INPUT_INFORMATION::InputMode

| Definition at line 30 of file input.h. Referenced by di(), and SrvWriteConsoleOutput().

HANDLE _INPUT_INFORMATION::InputWaitEvent

| Definition at line 37 of file input.h. Referenced by ConsoleClientConnectRoutine(), di(), FlushAllButKeys(), and FlushInputBuffer().

ULONG_PTR _INPUT_INFORMATION::Last

| Definition at line 35 of file input.h. Referenced by di().

ULONG_PTR _INPUT_INFORMATION::Out

| Definition at line 34 of file input.h. Referenced by di(), FlushAllButKeys(), and FlushInputBuffer().

LIST_ENTRY _INPUT_INFORMATION::ReadWaitQueue

| Definition at line 36 of file input.h. Referenced by di(), and WakeUpReadersWaitingForData().

ULONG _INPUT_INFORMATION::RefCount

| Definition at line 31 of file input.h. Referenced by di().

CONSOLE_SHARE_ACCESS _INPUT_INFORMATION::ShareAccess

| Definition at line 28 of file input.h.

The documentation for this struct was generated from the following file:

- input.h